org.apache.tomcat.dbcp.pool2

## Interface TrackedUse

- All Known Implementing Classes:
    AbandonedTrace, DelegatingCallableStatement, DelegatingConnection, DelegatingPreparedStatement, DelegatingResultSet, DelegatingStatement, PoolableCallableStatement, PoolableConnection, PoolablePreparedStatement, PoolingConnection

      public interface TrackedUse

  This interface allows pooled objects to make information available about when and how they were used available to the object pool. The object pool may, but is not required, to use this information to make more informed decisions when determining the state of a pooled object - for instance whether or not the object has been abandoned.
  Since:
    2.0

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getLastUsed()` Get the last time this object was used in ms.

- - ### Method Detail

    - #### getLastUsed

          long getLastUsed()

      Get the last time this object was used in ms.
      Returns:
        long time in ms

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.